package me.wazup.hideandseek.commands.admin;

import java.util.Iterator;
import org.bukkit.entity.Player;
import me.wazup.hideandseek.Rank;
import org.bukkit.ChatColor;
import me.wazup.hideandseek.PlayerData;
import org.bukkit.Bukkit;
import me.wazup.hideandseek.utils.Utils;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class ExpCommand extends SubCommand
{
    public ExpCommand() {
        super("hideandseek.exp", true, "Add/Remove/Set <Player> <Amount>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        if (array.length < 4 || (!array[1].equalsIgnoreCase("add") && !array[1].equalsIgnoreCase("remove") && !array[1].equalsIgnoreCase("set")) || !Utils.isNumber(array[3])) {
            return false;
        }
        final Player player = Bukkit.getPlayer(array[2]);
        if (player == null) {
            commandSender.sendMessage((String)customization.messages.get("no_player_found"));
            return true;
        }
        final PlayerData playerData = hideAndSeek.playerData.get(player.getName());
        final String lowerCase = array[1].toLowerCase();
        final int int1 = Integer.parseInt(array[3]);
        if (lowerCase.equalsIgnoreCase("add")) {
            final PlayerData playerData2 = playerData;
            playerData2.playerExp += int1;
        }
        else if (lowerCase.equalsIgnoreCase("remove")) {
            final PlayerData playerData3 = playerData;
            playerData3.playerExp -= int1;
        }
        else if (lowerCase.equalsIgnoreCase("set")) {
            playerData.playerExp = int1;
        }
        playerData.played = true;
        commandSender.sendMessage(customization.prefix + "You have sucessfully modified " + ChatColor.YELLOW + player.getName() + ChatColor.GOLD + " exp!");
        player.sendMessage((String)customization.messages.get("exp_modified"));
        for (final Rank rank : Rank.ranks) {
            if (playerData.playerExp < rank.requiredExp) {
                break;
            }
            playerData.rank = rank;
        }
        return true;
    }
}
